Subject: bug#47264: [PATCH v2] pcre: migrate to pcre2

From: Paul Eggert <[email-masked]>
Date: Mon, 15 Nov 2021 15:24:41 -0800

On 11/15/21 12:49, Carlo Marcelo Arenas Belón wrote:

> Apologies, I realize it is difficult to talk about code in abstract when
> not inlined, but I think it will better addressed by "fixing" it as shown
> in the attached patch.

That patch isn't right, because the relevant code inside libpcre2 uses 
size_t, not PCRE2_SIZE and that means our hacky workaround should use 
SIZE_MAX, not PCRE2_SIZE_MAX, so that it's consistent with libpcre2's 
internals.

Of course this is all academic on all existing platforms, since IDX_MAX 
is way less than SIZE_MAX.